GetCallLists

View as Markdown

Get all call lists for the specified user.

Allowed roles: Owner, Admin, Developer, Supervisor, Call list manager, Support.

Example request: Get all lists registered by user.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

list_idlist of integersOptional

The list ID to filter. Can be a list separated by semicolons (;). Use the ‘all’ value to select all lists

namestringOptional
Find call lists by name
is_activebooleanOptional
Whether to find only active call lists
from_datestringOptional

The UTC ‘from’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

to_datestringOptional

The UTC ‘to’ date filter in 24-h format: YYYY-MM-DD HH:mm:ss

type_liststringOptional
The type of the call list. The possible values are AUTOMATIC and MANUAL
countintegerOptional
The max returning record count
offsetintegerOptional

The first N records are skipped in the output

application_idlist of integersOptional

The application ID to filter. Can be a list separated by semicolons (;). Use the ‘all’ value to select all applications

Response

Successful response
resultlist of objects
Array of lists
countinteger
Returned call list count
total_countinteger
Total found call list count